mav_callbackMouseSet(3)

NAME
mav_callbackMouseSet - Mouse callback management.

LEVEL
Maverik Level 1

SYNTAX
void mav_callbackMouseSet(int but, MAV_window *w, MAV_class *c, MAV_callbackMouseFn fn);

int mav_callbackMouseExec(int but, MAV_window *w, MAV_object *o, MAV_mouseEvent *me);

DESCRIPTION
mav_callbackMouseSet sets the callback function for mouse events generated by button but, for object class c in window w, to be fn.

When a mouse event is detected by mav_eventsCheck, and a mouse callback has been registered for that class of object, the system calls mav_callbackMouseExec to execute fn, passing it the mouse event data me.

SEE ALSO
@mav_eventsCheck.